---
title: Map.prototype.values()
slug: Web/JavaScript/Reference/Global_Objects/Map/values
tags:
  - ECMAScript 2015
  - Iterator
  - JavaScript
  - Map
  - Method
  - Prototype
---
<div>{{JSRef}}</div>

<p>The <strong><code>values()</code></strong> method returns a new <strong><a href="/en-US/docs/Web/JavaScript/Guide/Iterators_and_Generators">Iterator</a></strong> object that contains the values for each element in the <code>Map</code> object in insertion order.</p>

<div>{{EmbedInteractiveExample("pages/js/map-prototype-values.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>myMap</var>.values()</pre>

<h3 id="Return_value">Return value</h3>

<p>A new {{jsxref("Map")}} iterator object.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_values">Using values()</h3>

<pre class="brush:js notranslate">var myMap = new Map();
myMap.set('0', 'foo');
myMap.set(1, 'bar');
myMap.set({}, 'baz');

var mapIter = myMap.values();

console.log(mapIter.next().value); // "foo"
console.log(mapIter.next().value); // "bar"
console.log(mapIter.next().value); // "baz"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-map.prototype.values', 'Map.prototype.values')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Map.values")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Map.prototype.entries()")}}</li>
 <li>{{jsxref("Map.prototype.keys()")}}</li>
</ul>
